﻿@model MvcWebsiteOcc.Areas.administrators.Models.Contact

@{
    MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetails_Description detailDes = ViewBag.DetailDes;
}


<script src="~/Scripts/jquery-1.8.2.min.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
<script src="~/Scripts/jquery.unobtrusive-ajax.min.js"></script>
<!-- PAGE -->
<section id="contact-us" class="page-section contact dark">
    <div class="container">

        <!-- Get in touch -->

        <h2 class="section-title wow fadeInDown" data-wow-offset="200" data-wow-delay="100ms">
            <small>@Html.Localize("lienhetd")</small>
            <span>@Html.Localize("lienhett")</span>
        </h2>

        <div class="row">
            <div class="col-md-6 wow fadeInRight color_light tt_lienhe" data-wow-offset="200" data-wow-delay="200ms">


                <p class="lienhe_title">
                    <b>@detailDes.TenCongTy</b>
                    <br />
                    <span>@detailDes.Slogan
                    </span>
                </p>

                <ul class="media-list contact-list">
                    <li class="media">
                        <div class="media-left"><i class="fa fa-home"></i></div>
                        <div class="media-body">Địa chỉ: @detailDes.DiaChi  </div>
                    </li>
                    <li class="media">
                        <div class="media-left"><i class="fa fa-phone"></i></div>
                        <div class="media-body">Điện thoại: @detail.SoDienThoai</div>
                    </li>
                    <li class="media">
                        <div class="media-left"><i class="fa fa-fax"></i></div>
                        <div class="media-body">Fax: @detail.Fax</div>
                    </li>
                    <li class="media">
                        <div class="media-left"><i class="fa fa-envelope"></i></div>
                        <div class="media-body">Email: @detail.Email</div>
                    </li>
                </ul>



            </div>

            <div class="col-md-6 wow fadeInLeft" data-wow-offset="200" data-wow-delay="200ms">
                <!-- Contact form -->
                @using (Ajax.BeginForm("_home_contact", "common", new AjaxOptions { OnBegin = "onBeginSubmit", OnSuccess = "onSuccess" }))
                {
                  
                    <div class="row">
                        <div class="col-md-6">

                            <div class="outer required">
                                <div class="form-group af-inner has-icon">
                                    <label class="sr-only" for="name">@Html.Localize("lienheten")</label>
                                    @Html.TextBoxFor(model => model.CusName, new { @class = "form-control ", placeholder = Html.Localize("lienheten") })
                                    <span class="form-control-icon"><i class="fa fa-user"></i></span>
                                </div>
                                @Html.ValidationMessageFor(model => model.CusName)
                            </div>

                        </div>
                        <div class="col-md-6">

                            <div class="outer required">
                                <div class="form-group af-inner has-icon">
                                    <label class="sr-only" for="email">@Html.Localize("lienhedt")</label>
                                    @Html.TextBoxFor(model => model.CusPhone, new { @class = "form-control", placeholder = Html.Localize("lienhedt") })
                                    <span class="form-control-icon"><i class="fa fa-phone"></i></span>
                                </div>
                                @Html.ValidationMessageFor(model => model.CusPhone)
                            </div>

                        </div>
                    </div>
                    <div class="outer required">
                        <div class="form-group af-inner has-icon">
                            <label class="sr-only" for="subject">@Html.Localize("lienhemail")</label>

                            @Html.TextBoxFor(model => model.CusEmail, new { @class = "form-control", placeholder = Html.Localize("lienhemail") })

                            <span class="form-control-icon"><i class="fa fa-envelope"></i></span>
                        </div>
                        @Html.ValidationMessageFor(model => model.CusEmail)
                    </div>
  
                    <div class="form-group af-inner has-icon">
                        <label class="sr-only" for="input-message">@Html.Localize("lienhemes")</label>

                        @Html.TextAreaFor(model => model.CusMessage, new { @class = "form-control", placeholder = Html.Localize("lienhemes"), rows = "4", cols = "50" })
                        <span class="form-control-icon"><i class="fa fa-pencil-square-o"></i></span>
                    </div>
                    @Html.ValidationMessageFor(model => model.CusMessage)

                    <div class="row">
                        <div class="col-md-6">

                            <div class="outer required">
                                <div class="form-group af-inner has-icon">

                                    <div class="g-recaptcha" data-theme="dark" data-sitekey="6LelYg4TAAAAAGisTH10N1cwAfs9E2X5u9OK64-A" style="transform: scale(0.77); -webkit-transform: scale(0.77); transform-origin: 0 0; -webkit-transform-origin: 0 0;"></div>
                                    @*@Html.Recaptcha(theme: CaptchaTheme.Dark)*@
                                    @Html.ValidationMessage("ReCaptcha")
                                </div>
                            </div>

                        </div>
                        <div class="col-md-6">

                            <div class="outer required">
                                <div class="form-group af-inner">

                                    <input type="submit" name="submit" class="form-button form-button-submit btn btn-block btn-theme ripple-effect btn-theme-dark" id="submit_btn" value="@Html.Localize("lienhebtn")" />
                                </div>
                            </div>

                        </div>
                    </div>
                }

                <!-- /Contact form -->
            </div>

        </div>

        <!-- /Get in touch -->

    </div>
</section>
<!-- /PAGE -->
<script>
    var onBeginSubmit = function () {
        var v = grecaptcha.getResponse();
        if (v.length == 0) {
            alert("Bạn chưa xác nhận Capcha.");
            return false;
        }
    };

    var onSuccess = function () {
        alert("Tin nhắn gửi thành công ! Cản ơn bạn đã góp ý.");
        window.location.href = '@Url.Action("index", "home")'
    };
</script>
